### Method

# GIRepository FunctionInfo get_property

since: 2.80

#### Declaration

    GIPropertyInfo*
    gi_function_info_get_property (
      GIFunctionInfo* info
    )

#### Description

Obtain the property associated with this `GIFunctionInfo`.

Only `GIFunctionInfo`s with the flag `GI_FUNCTION_IS_GETTER` or `GI_FUNCTION_IS_SETTER` have a property set. For other cases, `NULL` will be returned.

Available since: 2.80

#### Return value

Type: `GIPropertyInfo`

The property or `NULL` if not set. Free it with `gi_base_info_unref()` when done.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.